Summary:	Open Fingerprint Architecture - identyfying a piece of music with just sound
Summary(pl.UTF-8):	Open Fingerprint Architecture - identyfikowanie muzyki po samym dźwięku
Name:		libofa
Version:	0.9.3
Release:	5
License:	GPL v2 or Adaptive Public License
Group:		Libraries
Source0:	http://musicip-libofa.googlecode.com/files/libofa-%{version}.tar.gz
# Source0-md5:	51507d2c4b432bd2755f48d58471696e
Patch0:		%{name}-link.patch
Patch1:		%{name}-c++.patch
URL:		http://code.google.com/p/musicip-libofa/
BuildRequires:	curl-devel
BuildRequires:	expat-devel >= 1.95
BuildRequires:	fftw3-devel >= 3.0
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MusicDNS and the Open Fingerprint Architecture provide a system for
identifying a piece of music with nothing more than the sound of the
piece itself.

%description -l pl.UTF-8
MusicDNS i Open Fingerprint Architecture dostarczają system do
identyfikowania utworów muzycznych bez dodatkowych informacji, na
podstawie samego dźwięku.

%package devel
Summary:	Header files for libofa library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libofa
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fftw3-devel >= 3.0
Requires:	libstdc++-devel

%description devel
Header files for libofa library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libofa.

%package static
Summary:	Static libofa library
Summary(pl.UTF-8):	Statyczna biblioteka libofa
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libofa library.

%description static -l pl.UTF-8
Statyczna biblioteka libofa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_libdir}/libofa.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libofa.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libofa.so
%{_libdir}/libofa.la
%{_includedir}/ofa1
%{_pkgconfigdir}/libofa.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libofa.a
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libofa.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> f0d4742
- x32 rebuild
- release 5 (by relup.sh)

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 7bd29a4
- fix building with current c++ std
- rel 4

* Mon Dec 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 5cf6d93
- updated URL

* Sat Aug 09 2008 Artur Frysiak <artur@frysiak.net> 9f61dee
- new download URL

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7016638
- release 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 014338f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fc011ef
- converted to UTF-8

* Thu Dec 07 2006 Paweł Sikora <pluto@pld-linux.org> 1a654e2
- release 2, rebuild with P: *.la.

* Tue Jul 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 5c3d738
- expat is used only by example, not library

* Tue Jul 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 4664072
- compile fix

* Tue Jul 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 2bdc479
- new

